Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLevente Polyak <anthraxx@archlinux.org>2023-01-12 19:33:21 +0100
committerLevente Polyak <anthraxx@archlinux.org>2023-05-20 00:08:11 +0200
commitc839d52793bb6de66bbf5895faa8c293beea7ee0 (patch)
tree110ddb69c80bfab5bc02020cf836e64e7117199c
parentcddba60958d7aba15dac06acfc697b81e31581a1 (diff)
test: added pkgctl devel wrapper for convenient development testing
For local development testing, there is a convenience wrapper for `pkgctl` that will automatically build the project using make and proxy all calls to the local build directory. Either `./test/bin/pkgctl` can be run directly or the `test/bin` directory can be added to the PATH. Signed-off-by: Levente Polyak <anthraxx@archlinux.org>
-rw-r--r--README.md9
-rwxr-xr-xtest/bin/pkgctl12
2 files changed, 21 insertions, 0 deletions
diff --git a/README.md b/README.md
index ef69f3b..46294d6 100644
--- a/README.md
+++ b/README.md
@@ -14,6 +14,15 @@ files like `makepkg.conf`.
BUILDTOOLVER="${pkgver}-${pkgrel}-${arch}" make all
```
+## Development
+
+For local development testing, there is a convenience wrapper for `pkgctl` that
+will automatically build the project and proxy all calls to the local build directory:
+
+```sh
+./test/bin/pkgctl --help
+```
+
## Releasing
1. bump the version in the Makefile
diff --git a/test/bin/pkgctl b/test/bin/pkgctl
new file mode 100755
index 0000000..9641af3
--- /dev/null
+++ b/test/bin/pkgctl
@@ -0,0 +1,12 @@
+#!/usr/bin/bash
+set -e
+
+root="$(dirname -- "$(readlink -f -- "$0")")/../.."
+
+# always build everything so we use an up-to-date state
+make -C "${root}" -j --no-print-directory --silent
+
+# run pkgctl from the build directory
+export PATH="${root}/build/bin:${PATH}"
+export _DEVTOOLS_LIBRARY_DIR="${root}/build"
+"${root}/build/bin/pkgctl" "$@"